import 'package:apus_drones_mobile/constants/PartnerStatusEnum.dart';
import 'package:apus_drones_mobile/models/AddressModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'PartnerModel.g.dart';

@JsonSerializable()
class PartnerModel {
  final int id;
  final String name;
  final String avatarUrl;
  final String? email;
  final String? cpfCnpj;
  final AddressModel? address;
  final bool? deleted;
  PartnerStatusEnum? status;

  PartnerModel({
    required this.id,
    required this.name,
    required this.avatarUrl,
    this.email,
    this.cpfCnpj,
    this.address,
    this.deleted,
    this.status,
  });

  factory PartnerModel.fromJson(Map<String, dynamic> json) =>
      _$PartnerModelFromJson(json);
  Map<String, dynamic> toJson() => _$PartnerModelToJson(this);
}

class PartialPartner {
  final int id;
  PartialPartner(this.id);
}
