import 'package:apus_drones_mobile/constants/UserType.dart';
import 'package:apus_drones_mobile/models/AddressModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'UserModel.g.dart';

@JsonSerializable()
class UserModel {
  final int id;
  final String name;
  final String email;
  final String cpfCnpj;
  final String avatarUrl;
  final UserType role;
  final AddressModel? address;

  UserModel({
    required this.id,
    required this.name,
    required this.email,
    required this.cpfCnpj,
    required this.avatarUrl,
    required this.role,
    this.address,
  });

  factory UserModel.fromJson(Map<String, dynamic> json) =>
      _$UserModelFromJson(json);
  Map<String, dynamic> toJson() => _$UserModelToJson(this);
}

// class PartialCustomer {
//   final int id;

//   PartialCustomer(this.id);

//   factory PartialCustomer.fromJson(Map<String, dynamic> json) =>
//       PartialCustomer(json['id']);
//   Map<String, dynamic> toJson() => <String, dynamic>{'id': this.id};
// }
