import 'dart:convert';

import 'package:apus_drones_mobile/assets/config.dart';
import 'package:apus_drones_mobile/models/UserModel.dart';
import 'package:apus_drones_mobile/utils/httpHeaders.dart';
import 'package:http/http.dart' as http;

class ProfileService {
  Future<void> updateProfile(UserModel user) async {
    print(json.encode(user.toJson()));
    http.Response response = await http.patch(
        Uri.parse('${Config.apiURL}/user/profile'),
        headers: await getHttpHeaders(),
        body: json.encode(user.toJson()));

    if (response.statusCode != 200) {
      throw '${response.statusCode}: ${response.body}';
    }
    print('response: ${response.statusCode} - ${response.body}');
  }
}
