import 'dart:convert';

import 'package:apus_drones_mobile/assets/config.dart';
import 'package:apus_drones_mobile/models/SearchModel.dart';
import 'package:apus_drones_mobile/providers/AuthProvider.dart';
import 'package:http/http.dart' as http;

class SearchService {
  final http.Client client;
  final AuthProvider authProvider;

  SearchService(this.client, this.authProvider);

  Future<SearchModel> getSearch(String search) async {
    http.Response response = await this.client.get(
          Uri.parse('${Config.apiURL}/search/$search'),
          headers: await this.authProvider.getHttpHeaders(),
        );
    var rsBody = json.decode(response.body);
    SearchModel s = SearchModel.fromJson(rsBody);
    return s;
  }
}
