import 'package:apus_drones_mobile/models/PartnerModel.dart';
import 'package:apus_drones_mobile/screens/PartnerDetailScreen.dart';
import 'package:apus_drones_mobile/services/PartnerService.dart';
import 'package:apus_drones_mobile/widgets/Price.dart';
import 'package:flutter/material.dart';
import 'package:intl/intl.dart';

class Partner extends StatelessWidget {
  final PartnerModel model;
  const Partner({Key? key, required this.model}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    getPartner() async {
      print("af");
      PartnerModel partner;
      partner = await PartnerService().getPartner(model.id);
      Navigator.push(
        context,
        MaterialPageRoute(builder: (context) => PartnerDetailScreen(partner)),
      );
    }

    return GestureDetector(
        onTap: () => {getPartner()},
        child: Card(
          elevation: 3,
          margin: EdgeInsets.symmetric(horizontal: 15, vertical: 7),
          child: Padding(
            padding: const EdgeInsets.symmetric(vertical: 10, horizontal: 3),
            child: ListTile(
              title: Text(this.model.name),
              leading: Container(
                height: 60,
                width: 60,
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(4),
                    image: new DecorationImage(
                      fit: BoxFit.cover,
                      alignment: FractionalOffset.center,
                      image: new NetworkImage(this.model.avatarUrl),
                    )),
              ),
              trailing: Column(
                children: [
                  Text(this.model.cpfCnpj == null ? this.model.cpfCnpj! : "")
                ],
              ),
              subtitle: Padding(
                padding: const EdgeInsets.only(top: 8.0),
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [Text(this.model.email!)],
                ),
              ),
            ),
          ),
        ));
  }
}
