import 'package:flutter/material.dart';

class UserDisplayedProperty<T> extends StatelessWidget {
  final String name;
  final T value;

  const UserDisplayedProperty(
      {required this.name, required this.value, Key? key})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Row(
          children: [
            Flexible(
              child: Text(
                "${this.name}",
                style: TextStyle(fontWeight: FontWeight.bold, fontSize: 18),
              ),
            )
          ],
        ),
        Row(
          children: [
            Flexible(
              child: Text(
                "${this.value}",
                style: TextStyle(fontSize: 24),
              ),
            )
          ],
        )
      ],
    );
  }
}
