import 'package:apus_drones_mobile/widgets/Fee.dart';
import 'package:flutter/src/widgets/basic.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  testWidgets('Fee should display 3 prices', (WidgetTester tester) async {
    await tester.pumpWidget(Directionality(
      textDirection: TextDirection.ltr,
      child: Fee(
        deliveryFee: 10,
        productsSumPrice: 100,
        totalPrice: 110,
      ),
    ));

    validateProductPricing();
    validateDeliveryPricing();
    validateTotalPricing();
  });
}

void validateProductPricing() {
  final productsFinder = find.text('Produtos: ');
  final productsPriceFinder = find.text('R\$ ${100.toStringAsFixed(2)}');
  expect(productsFinder, findsOneWidget);
  expect(productsPriceFinder, findsOneWidget);
}

void validateDeliveryPricing() {
  final deliveryFinder = find.text('Frete: ');
  final deliveryPriceFinder = find.text('R\$ ${10.toStringAsFixed(2)}');
  expect(deliveryFinder, findsOneWidget);
  expect(deliveryPriceFinder, findsOneWidget);
}

void validateTotalPricing() {
  final totalFinder = find.text('Total: ');
  final totalPriceFinder = find.text('R\$ ${110.toStringAsFixed(2)}');
  expect(totalFinder, findsOneWidget);
  expect(totalPriceFinder, findsOneWidget);
}
